Summary: A powerful file compression utility.
Name: bzip2
Version: 0.9.5b
Release: 1
Group: Applications/File
Copyright: GPL
Url: http://www.bzip2.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://www.bzip2.org/bzip2/v095/bzip2-%{version}.tar.gz
Obsoletes: bzip2-devel
BuildRoot: /var/tmp/%{name}-root

%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities of the
best techniques available.  However, bzip2 has the added benefit of
being approximately two times faster at compression and six times faster
at decompression than those techniques.  Bzip2 is not the fastest
compression utility, but it does strike a balance between speed and
compression capability.

Install bzip2 if you need a high quality compression utility.


%prep
%setup -q


%build
make
gzip manual.ps


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make install PREFIX=$RPM_BUILD_ROOT/usr
strip $RPM_BUILD_ROOT/usr/bin/* ||:

# Replace duplicated executables with symlinks. Add symlinks for manpages.
ln -sf bzip2   $RPM_BUILD_ROOT/usr/bin/bunzip2
ln -sf bzip2   $RPM_BUILD_ROOT/usr/bin/bzcat
ln -sf bzip2.1 $RPM_BUILD_ROOT/usr/man/man1/bunzip2.1
ln -sf bzip2.1 $RPM_BUILD_ROOT/usr/man/man1/bzcat.1


%files
%defattr(-,root,root)
%doc  CHANGES LICENSE README manual.ps.gz manual*.html
/usr/bin/*
/usr/include/*
/usr/lib/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

